API
Instagram API
The AI-powered Instagram provides 360° Global Media Data & Intelligence on Instagram creators, brand marketers, influencer agencies, and visual content teams.
API-Referenz Version: 1.0.0 2 Endpunkte Authentifizierung
Basis-URL
https://pressmonitor.com/api Authentifizierung
Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/instagram_user Instagram Utilisateur
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Username |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/instagram_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/instagram_media Instagram Médias
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Username |
| limit | integer | query | Nein | Number of results |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/instagram_media?username=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
